package com.ruoyi.system.mapper.form;

import com.ruoyi.system.domain.form.MdForm;
import com.ruoyi.system.domain.form.MdFormExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MdFormMapper {
    long countByExample(MdFormExample example);

    int deleteByExample(MdFormExample example);

    int deleteByPrimaryKey(String id);

    int insert(MdForm record);

    int insertSelective(MdForm record);

    List<MdForm> selectByExampleWithBLOBs(MdFormExample example);

    List<MdForm> selectByExample(MdFormExample example);

    MdForm selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") MdForm record, @Param("example") MdFormExample example);

    int updateByExampleWithBLOBs(@Param("record") MdForm record, @Param("example") MdFormExample example);

    int updateByExample(@Param("record") MdForm record, @Param("example") MdFormExample example);

    int updateByPrimaryKeySelective(MdForm record);

    int updateByPrimaryKeyWithBLOBs(MdForm record);

    int updateByPrimaryKey(MdForm record);
}